Webhooks

Get webhook

GET
/webhooks

Retrieve the current user's webhook configuration. The secret is not returned here; use PUT /webhooks to rotate the secret.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Response Body

Successful Response

application/json
  1. response
id*Id

Webhook configuration ID.

url*Url

Webhook endpoint URL.

secret?|

HMAC-SHA256 secret used to sign payloads. Only returned on create/update.

Defaultnull
is_active*Is Active

Whether the webhook is currently active.

created_at*Created At

ISO 8601 creation timestamp.

updated_at*Updated At

ISO 8601 last update timestamp.

last_response_status?|

HTTP status code from the most recent delivery attempt.

Defaultnull
last_response_at?|

ISO 8601 timestamp of the most recent delivery attempt.

Defaultnull
curl -X GET "https://example.com/webhooks"
{  "id": 0,  "url": "string",  "secret": null,  "is_active": true,  "created_at": "string",  "updated_at": "string",  "last_response_status": null,  "last_response_at": null}